
#
# Shiny App demonstrating the top-k interface of rPref
# ****************************************************
#
# User Interface File
#
# Press "Run App" in RStudio to start the App
#

library(shiny)

shinyUI(fluidPage(

  titlePanel("rPref Top-k Demo"),

  # controls
  sidebarLayout(
    sidebarPanel(
      h4("Top-k Configuration"),
      span("A value of '0' means that this top-k option is inactive"),
      sliderInput("topk", "top-k value:", min = 0, max = 32, value = 0),
      sliderInput("atleast", "at-least value:", min = 0, max = 32, value = 0),
      sliderInput("toplevel", "top-level value:", min = 0, max = 5, value = 0),
      hr(),
      div(textOutput("explanation"), style = "color:blue"),
      div(htmlOutput("state")),
      htmlOutput("topk_connect_frame")
    ),

    # plot output
    mainPanel(
      h4("Top-k Skyline Plot"),
      plotOutput("topkPlot"),
      div(textOutput("number"), style = "color:green"),
      div(textOutput("command"), style = "color:blue;font-family:Courier")
    )
  )
))
